PostgreSQL 9.1beta2 Documentation
Prev | Fast Backward | Appendix F. Additional Supplied Modules | Fast Forward | Next

# F.34. pg_test_fsync

pg_test_fsync is intended to give you a reasonable idea of what the fastest wal_sync_method is on your specific system, as well as supplying diagnostic information in the event of an identified I/O problem. However, differences shown by pg_test_fsync might not make any difference in real database throughput, especially since many database servers are not speed-limited by their transaction logs.

## F.34.1. Usage

    pg_test_fsync [options]

pg_test_fsync accepts the following command-line options:

`-f`
`--filename`

  Specifies the file name to write test data in. This file should be in the same file system that the `pg_xlog` directory is or will be placed in. (`pg_xlog` contains the WAL files.) The default is `pg_test_fsync.out` in the current directory.

`-o`
`--ops-per-test`

  Specifies the number of operations per test. The more operations per test, the greater the test's accuracy, but the longer it takes to run. The default is 2000.

## F.34.2. Author

Bruce Momjian `<bruce@momjian.us>`

Prev | Home | Next
pgstattuple | Up | pg_trgm